Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 612441 - "pygobject.c:603:pygobject_register_wrapper_full: assertion failed: (obj->ref_count >= 1)" running pychess
"pygobject.c:603:pygobject_register_wrapper_full: assertion failed: (obj->ref...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pygobject2 (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:16cb143e498d80ee6aa807655a1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 04:54 EDT by John William
Modified: 2011-06-29 09:50 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:50:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (198.70 KB, text/plain)
2010-07-08 04:54 EDT, John William
no flags Details

  None (edit)
Description John William 2010-07-08 04:54:12 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/pychess
comment: Normal quit of application.
component: pychess
crash_function: raise
executable: /usr/bin/python
global_uuid: 16cb143e498d80ee6aa807655a1c21feea7d6157
kernel: 2.6.33.5-124.fc13.x86_64
package: pychess-0.10-0.5.20100511hg.fc13
rating: 4
reason: Process /usr/bin/python was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Normal exit of pychess using menu.
Comment 1 John William 2010-07-08 04:54:13 EDT
Created attachment 430272 [details]
File: backtrace
Comment 2 Thomas Spura 2010-07-08 05:21:26 EDT
Hmm, this has close to nothing to do with pychess on it's own, but the backtrace looks even more ugly than in bug #612349...

This time, there are more gtk any gobject functions in it, so it could be a gtk bug this time. (I have no clue)

Forwarding to python, maybe they can tell, if it's python or gtk or something else.
Comment 3 Dave Malcolm 2010-07-08 10:31:25 EDT
Thank you for reporting this bug.

How reproducible is this problem?  If you run the program from a terminal, is an error message printed?

What is the output of running the following command?
  rpm -q pygobject2 pygtk2 gtk2 glib2 python

Looking at the backtrace, it looks like the problem occurred in thread #1 in pygobject_register_wrapper_full:
  pygobject.c:603:pygobject_register_wrapper_full: assertion failed: (obj->ref_count >= 1)

Reassigning component from "python" to "pygobject2";  hopefully the pygobject2 maintainer will be able to figure this out further or reassign as necessary.
Comment 4 John William 2010-07-08 12:19:23 EDT
The bug seems to be not very reproducible, or at least I have not been able to do exactly what I did to trigger the bug the first time. The game had just gotten to the point where a win was assured, and I just quit the application. I answered "quit without saving" and the application took a very long time to close the window and that's when abrt opened up. I wasn't really doing anything noticeably different at the time. 

This particular machine is often heavily loaded, and I will start/stop pychess often while working at the machine. pychess often crashes, but I have not seen that particular backtrace again.

Output of 'rpm -q pygobject2 pygtk2 gtk2 glib2 python':
pygobject2-2.21.1-6.fc13.x86_64
pygtk2-2.17.0-3.fc13.x86_64
gtk2-2.20.1-1.fc13.x86_64
glib2-2.24.1-1.fc13.x86_64
python-2.6.4-27.fc13.x86_64
Comment 5 Bug Zapper 2011-06-01 10:28:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-29 09:50:47 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.